Updated: perl-5.8.0-5

Gerrit P. Haase gerrit@familiehaase.de
Fri Aug 29 16:41:00 GMT 2003


perl-5.8.0-5 release has been uploaded to sourceware
                   -- it should be on the mirrors soon.

News:

The previous release (from yesterday) was broken, I'm sorry for the
inconvenience.  Don't use perl-5.8.0-4, if your mirror doesn't offer
perl-5.8.0-5 yet, please choose another mirror or wait until your mirror
is in sync again.


Previous news:

- This is a bugfix release.
- Fixed a binmode() issue.  Building recent version of Cygwin should
  be possible with this release.  Many thanks to Don Slutz who provided
  a patch and a testsuite for this bug.
- Some modules updated to latest.
- *DBM modules linked against libgdbm3 now.
- New FHS layout.
- Try `instmodsh`


Olds:

THIS IS A REAL NEW PERL RELEASE THAT IS BINARY INCOMPATIBLE WITH ANY
PREVIOUS PERL RELEASE.  THIS MEANS THAT YOUR OLD EXTENSIONS (.xs code,
those Perl modules requiring a C compiler) WILL NOT WORK AND WILL HAVE
TO BE RECOMPILED.  (Pure Perl modules should continue working.)


NOTES
=====

Of course your installed perl-5.8.0 modules should continue to work if
you just upgrade to 5.8.0-4.


README
------

A short document, perl-5.8.0.README is in /usr/share/doc/Cygwin.
The output of 'perl -V' gives some infos about the compiletime and
runtime settings of this perl binary.


Setup.exe:
----------

Perl is in the category 'Interpreters'.  setup.exe will remove 
perl-5.6.1-2 if you install perl-5.8.0-4.


Modules:
--------

To get a summary of all the modules you installed for perl-5.6.1 you
can use the CPAN module (before you install perl-5.8.0), just start it
as usual ($ /usr/bin/cpan) and type in the CPAN shell:
cpan> autobundle 
to get a snapshot of 'your own' perl installation.

To reinstall all the modules (after installing perl-5.8.0) type in the
new CPAN shell:
cpan> install Bundle::Snapshot_2002_07_29_00


Different Perl versions:
------------------------

It is possible to use more than one perl.  To achieve this you cannot
use setup.exe since it will remove perl-5.6.1 before it installs
perl-5.8.0, so you'll need to install perl-5.8.0 or perl-5.6.1 manually.

>From your scripts you can call the different perl versions now with
perl5.6.1 or perl5.8.0, /usr/bin/perl will be the version you installed 
lastly (and also the scripts, so it is a good idea to install perl-5.8.0
after perl-5.6.1).



>From the official 'Perl 5.8.0 Release Announcement'
---------------------------------------------------

- New IO Implementation:
  the new PerlIO implementation is both a portable stdio implementation
  (at the source code level) and a flexible new framework for richer
  I/O behaviours

- Better Unicode Support:
  Unicode support has been much enhanced since 5.6, at all levels:
  - now supports Unicode 3.2.0 (5.6.1 supports 3.0.1)
  - at the language (and internals) level Unicode support is
    now more ubiquitous and robust
  - regular expressions now work with Unicode
  - support for non-Latin encodings (such as the various
    Chinese/Japanese/Korean encodings) through the Encode module

- Better Numeric Accuracy:
  previous Perls relied on vendors' string-to-number and back
  routines which in some cases proved to be too much trust
  leading to nonportable and wrong behaviours

- 64-bit support:
  64-bit support is now considered to be mature -- if your platform
  supports 64-bit integers or address space, you can compile Perl to
  use those

- Safe Signals:
  in previous versions of Perl signals could corrupt Perl's internal 
  state

- Many New Modules:
  Digest::MD5, File::Temp, Filter::Simple, libnet, List::Util,
  Memoize, MIME::Base64, Scalar::Util, Storable, Switch,
  Test::More, Test::Simple, Text::Balanced, Tie::File, ...


Incompatibilities

- BINARY INCOMPATIBLE:
  mainly because of the PerlIO introduction, Perl 5.8 is not
  binary compatible with any earlier Perl release, XS MODULES
  WILL HAVE TO BE RECOMPILED!

- Unicode Model Changed (no more "use utf8", almost)
  In Perl 5.6 "Unicodeness" was lexically scoped to the operations;
  in Perl 5.8 "Unicodeness" is bound to the data.  The only remaining
  use of "use utf8" is when the Perl script itself is written in the
  UTF-8 encoding of Unicode.

- This Cygwin Perl version is compiled without threads support, though
  it is possible to compile Perl with internal threads on Cygwin it is
  still experimental.

As always, you should conduct an appropriate level of testing before
using any new product in your production environment.


MAINTAINER:
===========
Gerrit P. Haase, 2003-08-29


GENERIC INFORMATION:

INSTALLATION:
=============
To update your installation, click on the "Install Cygwin now" link on
the http://cygwin.com/ web page.  This downloads setup.exe to your
system.  Save it and run setup, answer the questions and pick up
'perl' from the 'Interpreters' category.  The perl manpages are in a
separate package called perl_manpages in the category 'Doc'.

Previous perl installed with setup.exe will be removed, but your
custom modules won't be removed.  See 'Modules' and 'Different Perl
versions' section in the 'NOTES' below for details about possibilities
of custom installation.


DOWNLOAD:
=========
Note that downloads from sources.redhat.com (aka cygwin.com) aren't
allowed due to bandwidth limitations.  This means that you will need
to find a mirror which has this update.

These mirrors already got the package, the others will probably have 
the latest version of this package fairly soon:

In the US, 
        ftp://planetmirror.com/pub/cygwin/ and
        ftp://mirrors.rcn.net/mirrors/sources.redhat.com/cygwin/ 
are reliable high bandwidth connection.


QUESTIONS:
==========
If you want to make a point or ask a question the Cygwin mailing
list is the appropriate place.


CYGWIN-ANNOUNCE UNSUBSCRIBE INFO:
=================================
To unsubscribe to the cygwin-announce mailing list, look at the
"List-Unsubscribe: " tag in the email header of this message.  Send
email to the address specified there.  It will be in the format:

cygwin-announce-unsubscribe-YOU=YOURDOMAIN.COM@cygwin.com







More information about the Cygwin-announce mailing list